[winswitch] cant attach through ssh after upgrade and reboot

Thomas Käfer kaefert at gmail.com
Mon Oct 15 16:57:51 BST 2018


$ xpra version
2.4-r20681


I've got a single xpra session running locally. I can attach it without a
problem by running
$ xpra attach

but it won't work with ssh anymore:

$ xpra attach ssh:127.0.0.1
2018-10-15 17:54:33,147 Xpra gtk2 client version 2.4-r20681 64-bit
2018-10-15 17:54:33,148  running on Linux LinuxMint 18.3 sylvia
2018-10-15 17:54:33,149  window manager is 'Mutter (Muffin)'
2018-10-15 17:54:33,927 GStreamer version 1.8.3 for Python 2.7.12 64-bit
2018-10-15 17:54:34,055 No OpenGL_accelerate module loaded: No module named
OpenGL_accelerate
2018-10-15 17:54:34,228 OpenGL enabled with GeForce GT 750M/PCIe/SSE2
2018-10-15 17:54:34,973 Connected (version 2.0, client OpenSSH_7.2p2)
2018-10-15 17:54:35,082 Unknown exception: Use module
Crypto.Signature.pkcs1_15 instead
2018-10-15 17:54:35,083 Traceback (most recent call last):
2018-10-15 17:54:35,083   File
"/usr/lib/python2.7/dist-packages/paramiko/transport.py", line 1782, in run
2018-10-15 17:54:35,083     self.kex_engine.parse_next(ptype, m)
2018-10-15 17:54:35,083   File
"/usr/lib/python2.7/dist-packages/paramiko/kex_gex.py", line 88, in
parse_next
2018-10-15 17:54:35,083     return self._parse_kexdh_gex_reply(m)
2018-10-15 17:54:35,083   File
"/usr/lib/python2.7/dist-packages/paramiko/kex_gex.py", line 244, in
_parse_kexdh_gex_reply
2018-10-15 17:54:35,083     self.transport._verify_key(host_key, sig)
2018-10-15 17:54:35,083   File
"/usr/lib/python2.7/dist-packages/paramiko/transport.py", line 1605, in
_verify_key
2018-10-15 17:54:35,083     if not key.verify_ssh_sig(self.H, Message(sig)):
2018-10-15 17:54:35,084   File
"/usr/lib/python2.7/dist-packages/paramiko/rsakey.py", line 113, in
verify_ssh_sig
2018-10-15 17:54:35,084     return rsa.verify(hash_obj, (sig,))
2018-10-15 17:54:35,084   File
"/usr/local/lib/python2.7/dist-packages/Crypto/PublicKey/RSA.py", line 372,
in verify
2018-10-15 17:54:35,084     raise NotImplementedError("Use module
Crypto.Signature.pkcs1_15 instead")
2018-10-15 17:54:35,084 NotImplementedError: Use module
Crypto.Signature.pkcs1_15 instead
2018-10-15 17:54:35,084
2018-10-15 17:54:35,086 Xpra client failed to connect
2018-10-15 17:54:35,086 connection failed: Use module
Crypto.Signature.pkcs1_15 instead
xpra initialization error:
 connection failed: Use module Crypto.Signature.pkcs1_15 instead

Please help. I got xpra through this repository and it did work without any
problems until about a week ago.
deb https://xpra.org/ xenial main

Kind regards,
Thomas Käfer


More information about the shifter-users mailing list